package com.xinelu.manage.service.sysarea;

import com.xinelu.common.core.domain.AjaxResult;

public interface ISysAreaService {

    /**
     * 查询省级区域信息信息
     *
     * @return 省级区域信息集合
     */
    AjaxResult getProvinceAreaInfo();

    /**
     * 根据父id查询其下属区域信息
     *
     * @param parentId 父级区域id
     * @return 下属区域信息集合
     */
    AjaxResult getSubordinateAreaInfo(Long parentId);
}